// (c) OE8WOZ - nichtkommerzielle Benutzung auf eigene Gefahr

// Feed-Halterung
feed = 25; // Durchmesser in mm (Passung)
dish = 52; // Durchmesser in mm (Passung)
tol  = 0.5; // Fehlertoleranz für Passungen

// natürlich kann man noch mehr Parameter "automatisieren"...
sma = 13; // Breite des SMA Steckers am Feed

// interne Variable für Rundungen (max. 1° pro Segment)
$fn=360;

// Differenzmenge fester Körper und Ausschnitte
difference() {
    // Fester Körper
    union() {
        // Dish-Halterung-Öffnung (Öffnung mit Passungs-Toleranz)
        cylinder(h=2,d=(dish-tol));
        // Falz zur Befestigung
        translate([0,0,2]) cylinder(h=3,d=(dish+5));
        // Aussendurchmesser Feedhalter
        translate([0,0,5]) cylinder(h=20,d=(feed+5));
        // Abschrägung zur Verstärkung
        translate([0,0,5]) cylinder(h=5,d1=(feed+15),d2=(feed+5));
    }
    // Ausschnitte
    union() {
        // Feed (Öffnung mit Passungs-Toleranz)
        translate([0,0,-1]) cylinder(h=28,d=(feed+tol));
        // Schraubloch
        translate([0,0,15]) rotate([90,0,0]) cylinder(h=28,d=2);
        // Schlitz für Buchse am Feed
        translate([-sma/2,10,10]) cube([sma,10,28]);
    }
}